Summary:	Utility for managing filesystem extended attributes
Summary(pl.UTF-8):	Narzędzia do zarządzania rozszerzonymi atrybutami systemu plików
Name:		attr
Version:	2.5.2
Release:	1%{?tld}
License:	LGPL v2+ (library), GPL v2+ (utilities)
Group:		Applications/System
Source0:	https://download.savannah.nongnu.org/releases/attr/%{name}-%{version}.tar.xz
# Source0-md5:	4da9c1d25394946434e5913f49d778b6
Patch0:		%{name}-pl.po-update.patch
URL:		http://savannah.nongnu.org/projects/attr/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.15
BuildRequires:	gettext-tools >= 0.18.2
BuildRequires:	libtool >= 2:2
BuildRequires:	rpmbuild(macros) >= 1.402
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	libattr < 2.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/bin

%description
An experimental attr command to manipulate extended attributes under
Linux.

%description -l pl.UTF-8
Eksperymentalna wersja polecenia attr to zarządzania rozszerzonymi
atrybutami pod systemem Linux.

%package devel
Summary:	Header files and libraries to use extended attributes
Summary(pl.UTF-8):	Pliki nagłówkowe i biblioteki do korzystania z rozszerzonych atrybutów
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files to develop software which manipulate extended attributes.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do tworzenia oprogramowania manipulującego
rozszerzonymi atrybutami.

%package static
Summary:	Static libraries for extended attributes
Summary(pl.UTF-8):	Biblioteki statyczne do korzystania z rozszerzonych atrybutów
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libraries for extended attributes.

%description static -l pl.UTF-8
Biblioteki statyczne do korzystania z rozszerzonych atrybutów.

%prep
%setup -q
%patch0 -p1

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?debug:--enable-debug} \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_lib}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__mv} $RPM_BUILD_ROOT%{_libdir}/libattr.so.* \
	$RPM_BUILD_ROOT/%{_lib}

ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libattr.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libattr.so

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README doc/CHANGES
%attr(755,root,root) %{_bindir}/attr
%attr(755,root,root) %{_bindir}/getfattr
%attr(755,root,root) %{_bindir}/setfattr
%attr(755,root,root) /%{_lib}/libattr.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libattr.so.1
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xattr.conf
%{_mandir}/man1/attr.1*
%{_mandir}/man1/getfattr.1*
%{_mandir}/man1/setfattr.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libattr.so
%{_libdir}/libattr.la
%{_includedir}/attr
%{_pkgconfigdir}/libattr.pc
%{_mandir}/man3/attr_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libattr.a
%changelog
* Tue Apr 02 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/attr.git;a=log;h=master

* Mon Jan 15 2024 Jan Palus <atler@pld-linux.org> 47292ff
- up to 2.5.2

* Mon Jan 15 2024 Jan Palus <atler@pld-linux.org> e445f1e
- update source url to https

* Fri May 20 2022 Jakub Bogusz <qboosh@pld-linux.org> 8d9d1d0
- added pl.po-update patch

* Fri May 20 2022 Jakub Bogusz <qboosh@pld-linux.org> 76fcd0d
- updated to 2.5.1

* Sat Nov 18 2017 Jan Rękorajski <baggins@pld-linux.org> 892632a
- The xattr syscalls are provided by glibc since ages, so there is no
need to use the indirect system call "syscall" anymore. This removes the
need for the <attr/xattr.h> header; use <sys/xattr.h> instead.

* Sat Nov 18 2017 Jan Rękorajski <baggins@pld-linux.org> 04ae844
- rel 1.1, this release is broken, attr/xattr.h is missing

* Thu Nov 16 2017 Jakub Bogusz <qboosh@pld-linux.org> 8a4692d
- updated to 2.4.48
- removed obsolete patches, cleanup

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 35a4617
- x32 rebuild
- release 2 (by relup.sh)

* Mon Dec 22 2014 Jan Rękorajski <baggins@pld-linux.org> 5d8a147
- update gettext BR

* Sat Nov 29 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 94ee6d9
- up md5

* Sat Nov 29 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 784798f
- up to 2.4.47

* Thu Apr 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 72904c4
- updated to 2.4.46

* Sun Apr 17 2011 Artur Frysiak <artur@frysiak.net> f1c8ade
- up to 2.4.45

* Fri Jan 15 2010 Jakub Bogusz <qboosh@pld-linux.org> 5a00527
- unified URLs

* Sat Nov 21 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 99c3876
- up to 2.4.44

* Tue Jul 22 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> bd040e2
- md5

* Tue Jul 22 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 645c7b5
- up to 2.4.43; prevent custom install-sh from being overwrited

* Sun Jun 22 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 396126e
- rel 2; fixed build

* Wed Jun 18 2008 Jakub Bogusz <qboosh@pld-linux.org> d71cc18
- updated Source0 URL

* Fri Feb 15 2008 Elan Ruusamäe <glen@pld-linux.org> 6c922c1
- let rpmbuild macros fix man links

